net.sf.jasperreports.export

## Interface CsvExporterConfiguration

- All Superinterfaces:
    CommonExportConfiguration, ExporterConfiguration
  All Known Subinterfaces:
    CsvMetadataExporterConfiguration
  All Known Implementing Classes:
    SimpleCsvExporterConfiguration, SimpleCsvMetadataExporterConfiguration

      public interface CsvExporterConfiguration
      extends ExporterConfiguration

  Interface containing settings used by the CSV exporters.
  Version:
    $Id: CsvExporterConfiguration.java 6709 2013-11-08 14:39:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    `JRCsvExporter`, `JRCsvMetadataExporter`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_FIELD_DELIMITER` Property whose value is used as default for the `getFieldDelimiter()` export configuration setting.
    `static java.lang.String` | `PROPERTY_RECORD_DELIMITER` Property whose value is used as default for the `getRecordDelimiter()` export configuration setting.

    - ### Fields inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFieldDelimiter()` Returns the string representing the character or sequence of characters to be used to delimit two fields on the same record.
    `java.lang.String` | `getRecordDelimiter()` Returns the string representing the character or sequence of characters to be used to delimit two records.

    - ### Methods inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `isOverrideHints`

- - ### Field Detail

    - #### PROPERTY_FIELD_DELIMITER

          static final java.lang.String PROPERTY_FIELD_DELIMITER

      Property whose value is used as default for the `getFieldDelimiter()` export configuration setting. The default is a comma character.
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_RECORD_DELIMITER

          static final java.lang.String PROPERTY_RECORD_DELIMITER

      Property whose value is used as default for the `getRecordDelimiter()` export configuration setting. The default is a character return (\n).
      See Also:
        `JRPropertiesUtil`, Constant Field Values

  - ### Method Detail

    - #### getFieldDelimiter

          java.lang.String getFieldDelimiter()

      Returns the string representing the character or sequence of characters to be used to delimit two fields on the same record.
      See Also:
        `PROPERTY_FIELD_DELIMITER`

    - #### getRecordDelimiter

          java.lang.String getRecordDelimiter()

      Returns the string representing the character or sequence of characters to be used to delimit two records.
      See Also:
        `PROPERTY_RECORD_DELIMITER`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com